head	1.4;
access;
symbols
	RELENG_8_4:1.4.0.2
	RELENG_9_1_0_RELEASE:1.3.4.1.4.2
	RELENG_9_1:1.3.4.1.0.4
	RELENG_9_1_BP:1.3.4.1
	RELENG_8_3_0_RELEASE:1.3.2.1.8.1
	RELENG_8_3:1.3.2.1.0.8
	RELENG_8_3_BP:1.3.2.1
	RELENG_9_0_0_RELEASE:1.3.4.1.2.1
	RELENG_9_0:1.3.4.1.0.2
	RELENG_9_0_BP:1.3.4.1
	RELENG_9:1.3.0.4
	RELENG_9_BP:1.3
	RELENG_7_4_0_RELEASE:1.1.4.1.8.1
	RELENG_8_2_0_RELEASE:1.3.2.1.6.1
	RELENG_7_4:1.1.4.1.0.8
	RELENG_7_4_BP:1.1.4.1
	RELENG_8_2:1.3.2.1.0.6
	RELENG_8_2_BP:1.3.2.1
	RELENG_8_1_0_RELEASE:1.3.2.1.4.1
	RELENG_8_1:1.3.2.1.0.4
	RELENG_8_1_BP:1.3.2.1
	RELENG_7_3_0_RELEASE:1.1.4.1.6.1
	RELENG_7_3:1.1.4.1.0.6
	RELENG_7_3_BP:1.1.4.1
	RELENG_8_0_0_RELEASE:1.3.2.1.2.1
	RELENG_8_0:1.3.2.1.0.2
	RELENG_8_0_BP:1.3.2.1
	RELENG_8:1.3.0.2
	RELENG_8_BP:1.3
	RELENG_7_2_0_RELEASE:1.1.4.1.4.1
	RELENG_7_2:1.1.4.1.0.4
	RELENG_7_2_BP:1.1.4.1
	RELENG_7_1_0_RELEASE:1.1.4.1.2.1
	RELENG_6_4_0_RELEASE:1.1.2.2.2.1
	RELENG_7_1:1.1.4.1.0.2
	RELENG_7_1_BP:1.1.4.1
	RELENG_6_4:1.1.2.2.0.2
	RELENG_6_4_BP:1.1.2.2
	RELENG_7_0_0_RELEASE:1.1
	RELENG_6_3_0_RELEASE:1.1.2.1
	RELENG_7_0:1.1.0.6
	RELENG_7_0_BP:1.1
	RELENG_6_3:1.1.2.1.0.2
	RELENG_6_3_BP:1.1.2.1
	RELENG_7:1.1.0.4
	RELENG_7_BP:1.1
	RELENG_6:1.1.0.2;
locks; strict;
comment	@# @;


1.4
date	2012.11.17.01.54.21;	author svnexp;	state Exp;
branches
	1.4.2.1;
next	1.3;

1.3
date	2008.06.30.23.53.15;	author delphij;	state Exp;
branches
	1.3.2.1
	1.3.4.1;
next	1.2;

1.2
date	2008.02.09.13.04.01;	author yar;	state Exp;
branches;
next	1.1;

1.1
date	2007.01.26.10.19.07;	author delphij;	state Exp;
branches
	1.1.2.1
	1.1.4.1;
next	;

1.4.2.1
date	2012.11.17.01.54.21;	author svnexp;	state dead;
branches;
next	1.4.2.2;

1.4.2.2
date	2013.03.28.13.06.04;	author svnexp;	state Exp;
branches;
next	;

1.3.2.1
date	2009.08.03.08.13.06;	author kensmith;	state Exp;
branches
	1.3.2.1.2.1
	1.3.2.1.4.1
	1.3.2.1.6.1
	1.3.2.1.8.1;
next	1.3.2.2;

1.3.2.2
date	2012.11.17.10.37.16;	author svnexp;	state Exp;
branches;
next	;

1.3.2.1.2.1
date	2009.10.25.01.10.29;	author kensmith;	state Exp;
branches;
next	;

1.3.2.1.4.1
date	2010.06.14.02.09.06;	author kensmith;	state Exp;
branches;
next	;

1.3.2.1.6.1
date	2010.12.21.17.09.25;	author kensmith;	state Exp;
branches;
next	;

1.3.2.1.8.1
date	2012.03.03.06.15.13;	author kensmith;	state Exp;
branches;
next	1.3.2.1.8.2;

1.3.2.1.8.2
date	2012.11.17.08.25.50;	author svnexp;	state Exp;
branches;
next	;

1.3.4.1
date	2011.09.23.00.51.37;	author kensmith;	state Exp;
branches
	1.3.4.1.2.1
	1.3.4.1.4.1;
next	1.3.4.2;

1.3.4.2
date	2012.11.17.11.37.38;	author svnexp;	state Exp;
branches;
next	;

1.3.4.1.2.1
date	2011.11.11.04.20.22;	author kensmith;	state Exp;
branches;
next	1.3.4.1.2.2;

1.3.4.1.2.2
date	2012.11.17.08.37.35;	author svnexp;	state Exp;
branches;
next	;

1.3.4.1.4.1
date	2012.08.05.23.54.33;	author kensmith;	state Exp;
branches;
next	1.3.4.1.4.2;

1.3.4.1.4.2
date	2012.11.17.08.48.26;	author svnexp;	state Exp;
branches;
next	;

1.1.2.1
date	2007.02.20.08.33.32;	author delphij;	state Exp;
branches;
next	1.1.2.2;

1.1.2.2
date	2008.07.22.23.27.02;	author delphij;	state Exp;
branches
	1.1.2.2.2.1;
next	1.1.2.3;

1.1.2.3
date	2012.11.17.07.45.42;	author svnexp;	state Exp;
branches;
next	;

1.1.2.2.2.1
date	2008.10.02.02.57.24;	author kensmith;	state Exp;
branches;
next	;

1.1.4.1
date	2008.07.22.23.22.03;	author delphij;	state Exp;
branches
	1.1.4.1.2.1
	1.1.4.1.4.1
	1.1.4.1.6.1
	1.1.4.1.8.1;
next	1.1.4.2;

1.1.4.2
date	2012.11.17.08.08.28;	author svnexp;	state Exp;
branches;
next	;

1.1.4.1.2.1
date	2008.11.25.02.59.29;	author kensmith;	state Exp;
branches;
next	;

1.1.4.1.4.1
date	2009.04.15.03.14.26;	author kensmith;	state Exp;
branches;
next	;

1.1.4.1.6.1
date	2010.02.10.00.26.20;	author kensmith;	state Exp;
branches;
next	;

1.1.4.1.8.1
date	2010.12.21.17.10.29;	author kensmith;	state Exp;
branches;
next	1.1.4.1.8.2;

1.1.4.1.8.2
date	2012.11.17.08.17.42;	author svnexp;	state Exp;
branches;
next	;


desc
@@


1.4
log
@Switching exporter and resync
@
text
@#!/bin/sh -
#
# $NetBSD: znew,v 1.3 2008/04/27 09:07:13 nakayama Exp $
# $OpenBSD: znew,v 1.2 2003/08/05 18:22:17 deraadt Exp $
#
#-
# Copyright (c) 2003 Otto Moerbeek <otto@@drijf.net>
#
# Permission to use, copy, modify, and distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
#
# $FreeBSD: head/usr.bin/gzip/znew 180136 2008-06-30 23:53:15Z delphij $

# Return 0 if the first arg file size is smaller than the second, 1 otherwise.
smaller () {
	a=`du -k "$1" | awk '{ print $1 }'`
	b=`du -k "$2" | awk '{ print $1 }'`
	test $a -lt $b
}

# Check gzip integrity if the -t flag is specified
checkfile () {
	if test $tflag -eq 1; then
		gzip -qt < "$1"
	fi
}

# Decompress a file and then gzip it
process () {
	prefix="${1%.Z}"
	filez="$prefix".Z
	filegz="$prefix".gz

	if test ! -e "$filez"; then
		echo "$prog: $filez does not exist"
		return 1
	fi
	if test ! -f "$filez"; then
		echo "$prog: $filez is not a regular file"
		return 1
	fi
	if test -e "$filegz" -a $fflag -eq 0; then
		echo "$prog: $filegz already exists"
		return 1
	fi

	tmp=`mktemp /tmp/znewXXXXXXXXXX` || {
		echo "$prog: cannot create tmp file"
		return 1
	}
	trap 'rm -f "$tmp"; exit 1' HUP INT QUIT PIPE TERM

	# Do the actual work, producing a file "$tmp"
	if uncompress -f -c < "$filez" | gzip -f -c $gzipflags > "$tmp"; then
		if test $kflag -eq 1 && smaller "$filez" "$tmp"; then
			echo -n "$prog: $filez is smaller than $filegz"
			echo "; keeping it"
			rm -f "$tmp"
			return 0
		fi
		if ! checkfile "$tmp"; then
			echo "$prog: integrity check of $tmp failed"
			rm -f "$tmp"
			return 1;
		fi

		# Try to keep the mode of the original file
		if ! cp -fp "$filez" "$filegz"; then
			echo "$prog: warning: could not keep mode of $filez"
		fi
		if  ! cp "$tmp" "$filegz" 2> /dev/null; then
			echo "$prog: warning: could not keep mode of $filez"
			if ! cp -f "$tmp" "$filegz" 2> /dev/null; then
				echo "$prog: could not copy $tmp to $filegz"
				rm -f "$filegz" "$tmp"
				return 1
			fi
		fi
		if ! touch -fr "$filez" "$filegz"; then
			echo -n "$prog: warning: could not keep timestamp of "
			echo "$filez"
		fi
		rm -f "$filez" "$tmp"
	else
		echo "$prog: failed to process $filez"
		rm -f "$tmp"
		return 1
	fi
}

prog=`basename "$0"`
usage="usage: $prog [-ftv9K] file ..."

fflag=0
tflag=0
kflag=0
gzipflags=

# -P flag is recognized to maintain compatibility, but ignored. Pipe mode is
# always used
while getopts :ftv9PK i; do
	case $i in
		f) fflag=1;;
		t) tflag=1;;
		v) gzipflags="-v $gzipflags";;
		9) gzipflags="-9 $gzipflags";;
		P) ;;
		K) kflag=1;;
		\?) echo "$usage"; exit 1;;
	esac
done

shift $((OPTIND - 1))

if test $# -eq 0; then
	echo "$usage"
	exit 1
fi

rc=0

while test $# -ne 0; do
	if ! process "$1"; then
		rc=$?
	fi
	shift
done
exit $rc
@


1.4.2.1
log
@file znew was added on branch RELENG_8_4 on 2013-03-28 13:06:04 +0000
@
text
@d1 137
@


1.4.2.2
log
@## SVN ## Exported commit - http://svnweb.freebsd.org/changeset/base/248810
## SVN ## CVS IS DEPRECATED: http://wiki.freebsd.org/CvsIsDeprecated
@
text
@a0 137
#!/bin/sh -
#
# $NetBSD: znew,v 1.3 2008/04/27 09:07:13 nakayama Exp $
# $OpenBSD: znew,v 1.2 2003/08/05 18:22:17 deraadt Exp $
#
#-
# Copyright (c) 2003 Otto Moerbeek <otto@@drijf.net>
#
# Permission to use, copy, modify, and distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
#
# $FreeBSD: releng/8.4/usr.bin/gzip/znew 180136 2008-06-30 23:53:15Z delphij $

# Return 0 if the first arg file size is smaller than the second, 1 otherwise.
smaller () {
	a=`du -k "$1" | awk '{ print $1 }'`
	b=`du -k "$2" | awk '{ print $1 }'`
	test $a -lt $b
}

# Check gzip integrity if the -t flag is specified
checkfile () {
	if test $tflag -eq 1; then
		gzip -qt < "$1"
	fi
}

# Decompress a file and then gzip it
process () {
	prefix="${1%.Z}"
	filez="$prefix".Z
	filegz="$prefix".gz

	if test ! -e "$filez"; then
		echo "$prog: $filez does not exist"
		return 1
	fi
	if test ! -f "$filez"; then
		echo "$prog: $filez is not a regular file"
		return 1
	fi
	if test -e "$filegz" -a $fflag -eq 0; then
		echo "$prog: $filegz already exists"
		return 1
	fi

	tmp=`mktemp /tmp/znewXXXXXXXXXX` || {
		echo "$prog: cannot create tmp file"
		return 1
	}
	trap 'rm -f "$tmp"; exit 1' HUP INT QUIT PIPE TERM

	# Do the actual work, producing a file "$tmp"
	if uncompress -f -c < "$filez" | gzip -f -c $gzipflags > "$tmp"; then
		if test $kflag -eq 1 && smaller "$filez" "$tmp"; then
			echo -n "$prog: $filez is smaller than $filegz"
			echo "; keeping it"
			rm -f "$tmp"
			return 0
		fi
		if ! checkfile "$tmp"; then
			echo "$prog: integrity check of $tmp failed"
			rm -f "$tmp"
			return 1;
		fi

		# Try to keep the mode of the original file
		if ! cp -fp "$filez" "$filegz"; then
			echo "$prog: warning: could not keep mode of $filez"
		fi
		if  ! cp "$tmp" "$filegz" 2> /dev/null; then
			echo "$prog: warning: could not keep mode of $filez"
			if ! cp -f "$tmp" "$filegz" 2> /dev/null; then
				echo "$prog: could not copy $tmp to $filegz"
				rm -f "$filegz" "$tmp"
				return 1
			fi
		fi
		if ! touch -fr "$filez" "$filegz"; then
			echo -n "$prog: warning: could not keep timestamp of "
			echo "$filez"
		fi
		rm -f "$filez" "$tmp"
	else
		echo "$prog: failed to process $filez"
		rm -f "$tmp"
		return 1
	fi
}

prog=`basename "$0"`
usage="usage: $prog [-ftv9K] file ..."

fflag=0
tflag=0
kflag=0
gzipflags=

# -P flag is recognized to maintain compatibility, but ignored. Pipe mode is
# always used
while getopts :ftv9PK i; do
	case $i in
		f) fflag=1;;
		t) tflag=1;;
		v) gzipflags="-v $gzipflags";;
		9) gzipflags="-9 $gzipflags";;
		P) ;;
		K) kflag=1;;
		\?) echo "$usage"; exit 1;;
	esac
done

shift $((OPTIND - 1))

if test $# -eq 0; then
	echo "$usage"
	exit 1
fi

rc=0

while test $# -ne 0; do
	if ! process "$1"; then
		rc=$?
	fi
	shift
done
exit $rc
@


1.3
log
@SVN rev 180136 on 2008-06-30 23:53:15Z by delphij

Reflect the fact that we actually have NetBSD revision 1.3.
@
text
@d21 1
a21 1
# $FreeBSD$
@


1.3.4.1
log
@SVN rev 225736 on 2011-09-23 00:51:37Z by kensmith

Copy head to stable/9 as part of 9.0-RELEASE release cycle.

Approved by:	re (implicit)
@
text
@@


1.3.4.2
log
@## SVN ##
## SVN ## Exported commit - http://svnweb.freebsd.org/changeset/base/ 242902
## SVN ## CVS IS DEPRECATED: http://wiki.freebsd.org/CvsIsDeprecated
## SVN ##
## SVN ## ------------------------------------------------------------------------
## SVN ## r242902 | dteske | 2012-11-11 23:29:45 +0000 (Sun, 11 Nov 2012) | 10 lines
## SVN ##
## SVN ## Fix a regression introduced by SVN r211417 that saw the breakage of a feature
## SVN ## documented in usr.sbin/sysinstall/help/shortcuts.hlp (reproduced below):
## SVN ##
## SVN ## If /usr/sbin/sysinstall is linked to another filename, say
## SVN ## `/usr/local/bin/configPackages', then the basename will be used
## SVN ## as an implicit command name.
## SVN ##
## SVN ## Reviewed by:	adrian (co-mentor)
## SVN ## Approved by:	adrian (co-mentor)
## SVN ##
## SVN ## ------------------------------------------------------------------------
## SVN ##
@
text
@d21 1
a21 1
# $FreeBSD: stable/9/usr.bin/gzip/znew 180136 2008-06-30 23:53:15Z delphij $
@


1.3.4.1.4.1
log
@SVN rev 239080 on 2012-08-05 23:54:33Z by kensmith

Copy stable/9 to releng/9.1 as part of the 9.1-RELEASE release process.

Approved by:	re (implicit)
@
text
@@


1.3.4.1.4.2
log
@Switch importer
@
text
@d21 1
a21 1
# $FreeBSD: releng/9.1/usr.bin/gzip/znew 180136 2008-06-30 23:53:15Z delphij $
@


1.3.4.1.2.1
log
@SVN rev 227445 on 2011-11-11 04:20:22Z by kensmith

Copy stable/9 to releng/9.0 as part of the FreeBSD 9.0-RELEASE release
cycle.

Approved by:	re (implicit)
@
text
@@


1.3.4.1.2.2
log
@Switch importer
@
text
@d21 1
a21 1
# $FreeBSD: releng/9.0/usr.bin/gzip/znew 180136 2008-06-30 23:53:15Z delphij $
@


1.3.2.1
log
@SVN rev 196045 on 2009-08-03 08:13:06Z by kensmith

Copy head to stable/8 as part of 8.0 Release cycle.

Approved by:	re (Implicit)
@
text
@@


1.3.2.2
log
@## SVN ##
## SVN ## Exported commit - http://svnweb.freebsd.org/changeset/base/ 242909
## SVN ## CVS IS DEPRECATED: http://wiki.freebsd.org/CvsIsDeprecated
## SVN ##
## SVN ## ------------------------------------------------------------------------
## SVN ## r242909 | dim | 2012-11-12 07:47:19 +0000 (Mon, 12 Nov 2012) | 20 lines
## SVN ##
## SVN ## MFC r242625:
## SVN ##
## SVN ## Remove duplicate const specifiers in many drivers (I hope I got all of
## SVN ## them, please let me know if not).  Most of these are of the form:
## SVN ##
## SVN ## static const struct bzzt_type {
## SVN ##       [...list of members...]
## SVN ## } const bzzt_devs[] = {
## SVN ##       [...list of initializers...]
## SVN ## };
## SVN ##
## SVN ## The second const is unnecessary, as arrays cannot be modified anyway,
## SVN ## and if the elements are const, the whole thing is const automatically
## SVN ## (e.g. it is placed in .rodata).
## SVN ##
## SVN ## I have verified this does not change the binary output of a full kernel
## SVN ## build (except for build timestamps embedded in the object files).
## SVN ##
## SVN ## Reviewed by:	yongari, marius
## SVN ##
## SVN ## ------------------------------------------------------------------------
## SVN ##
@
text
@d21 1
a21 1
# $FreeBSD: stable/8/usr.bin/gzip/znew 180136 2008-06-30 23:53:15Z delphij $
@


1.3.2.1.8.1
log
@SVN rev 232438 on 2012-03-03 06:15:13Z by kensmith

Copy stable/8 to releng/8.3 as part of 8.3-RELEASE release cycle.

Approved by:	re (implicit)
@
text
@@


1.3.2.1.8.2
log
@Switch importer
@
text
@d21 1
a21 1
# $FreeBSD: releng/8.3/usr.bin/gzip/znew 180136 2008-06-30 23:53:15Z delphij $
@


1.3.2.1.6.1
log
@SVN rev 216617 on 2010-12-21 17:09:25Z by kensmith

Copy stable/8 to releng/8.2 in preparation for FreeBSD-8.2 release.

Approved by:	re (implicit)
@
text
@@


1.3.2.1.4.1
log
@SVN rev 209145 on 2010-06-14 02:09:06Z by kensmith

Copy stable/8 to releng/8.1 in preparation for 8.1-RC1.

Approved by:	re (implicit)
@
text
@@


1.3.2.1.2.1
log
@SVN rev 198460 on 2009-10-25 01:10:29Z by kensmith

Copy stable/8 to releng/8.0 as part of 8.0-RELEASE release procedure.

Approved by:	re (implicit)
@
text
@@


1.2
log
@Fix a few obvious errors in the znew(1) script.

PR:		bin/120249
Submitted by:	Jaakko Heinonen <see the PR for email>
@
text
@d3 1
a3 1
# $NetBSD: znew,v 1.2 2003/12/28 12:43:43 wiz Exp $
@


1.1
log
@Replace the GNU gzip with a slightly modified NetBSD gzip.  The
NetBSD version is a feature-to-feature re-implementation of GNU
gzip using the freely-redistributable zlib and this version is
expected to be mostly bug-to-bug compatible with the GNU
implementation.

 - Because this is a piece of mature code and we want to make
   changes so it is added directly rather than importing to
   src/contrib.
 - Connect newly added code to src/usr.bin/ and rescue/rescue
   build.
 - Disconnect the GNU gzip code from build for now, they will
   be eventually removed completely.
 - Provide two new src.conf(5) knobs, WITHOUT_BZIP2_SUPPORT and
   WITHOUT_BZIP2.

Tested by:	kris (full exp-7 pointyhat build)
Approved by:	core (importing a 4-clause BSD licensed file)
Approved by:	re (adding new utility during -HEAD code slush)
@
text
@d1 1
a1 1
#!/bin/ksh -
d63 1
a63 2
	if uncompress -f -c < "$filez" | gzip -f $gzipflags -o "$tmp"; then

d122 1
a122 1
shift OPTIND-1
@


1.1.4.1
log
@SVN rev 180725 on 2008-07-22 23:22:03Z by delphij

Sync with -HEAD:

 * Fix typos in znew(1) script (yar, r176133 + r180136);
 * Make it clear that gzcat expects each argument to be
   separate files. (r180126).
 * License change in unbzip2.c (r180135)
@
text
@d1 1
a1 1
#!/bin/sh -
d3 1
a3 1
# $NetBSD: znew,v 1.3 2008/04/27 09:07:13 nakayama Exp $
d63 2
a64 1
	if uncompress -f -c < "$filez" | gzip -f -c $gzipflags > "$tmp"; then
d123 1
a123 1
shift $((OPTIND - 1))
@


1.1.4.2
log
@Switch importer
@
text
@d21 1
a21 1
# $FreeBSD: stable/7/usr.bin/gzip/znew 180725 2008-07-22 23:22:03Z delphij $
@


1.1.4.1.8.1
log
@SVN rev 216618 on 2010-12-21 17:10:29Z by kensmith

Copy stable/7 to releng/7.4 in preparation for FreeBSD-7.4 release.

Approved by:	re (implicit)
@
text
@@


1.1.4.1.8.2
log
@Switch importer
@
text
@d21 1
a21 1
# $FreeBSD: releng/7.4/usr.bin/gzip/znew 180725 2008-07-22 23:22:03Z delphij $
@


1.1.4.1.6.1
log
@SVN rev 203736 on 2010-02-10 00:26:20Z by kensmith

Copy stable/7 to releng/7.3 as part of the 7.3-RELEASE process.

Approved by:	re (implicit)
@
text
@@


1.1.4.1.4.1
log
@SVN rev 191087 on 2009-04-15 03:14:26Z by kensmith

Create releng/7.2 from stable/7 in preparation for 7.2-RELEASE.

Approved by:	re (implicit)
@
text
@@


1.1.4.1.2.1
log
@SVN rev 185281 on 2008-11-25 02:59:29Z by kensmith

Create releng/7.1 in preparation for moving into RC phase of 7.1 release
cycle.

Approved by:	re (implicit)
@
text
@@


1.1.2.1
log
@MFC: Replace gzip(1) with the BSD licensed version found in -HEAD.

Discussed with:	re, so, portmgr (kris)

All bugs are mine.
@
text
@@


1.1.2.2
log
@SVN rev 180726 on 2008-07-22 23:27:02Z by delphij

Sync with -HEAD:

 * Fix typos in znew(1) script (yar, r176133 + r180136);
 * Make it clear that gzcat expects each argument to be
   separate files. (r180126).
 * License change in unbzip2.c (r180135)
@
text
@d1 1
a1 1
#!/bin/sh -
d3 1
a3 1
# $NetBSD: znew,v 1.3 2008/04/27 09:07:13 nakayama Exp $
d63 2
a64 1
	if uncompress -f -c < "$filez" | gzip -f -c $gzipflags > "$tmp"; then
d123 1
a123 1
shift $((OPTIND - 1))
@


1.1.2.3
log
@Switch importer
@
text
@d21 1
a21 1
# $FreeBSD: stable/6/usr.bin/gzip/znew 180726 2008-07-22 23:27:02Z delphij $
@


1.1.2.2.2.1
log
@SVN rev 183531 on 2008-10-02 02:57:24Z by kensmith

Create releng/6.4 from stable/6 in preparation for 6.4-RC1.

Approved by:	re (implicit)
@
text
@@


